/**
 * @file status.h
 * @brief Do status
 * @author Michael Burmeister
 * @version 1.0
 * @date April 15, 2024
 * 
 */

/**
 * @brief Init status
 * 
 */
void status(void);

/**
 * @brief Blink status
 * 
 */
void blink(int);

/**
 * @brief config access point mode
 * @return AP config
 */
esp_netif_t *wifi_init_softap(void);

/**
 * @brief config station mode
 * @return station config
 */
esp_netif_t *wifi_init_sta(void);

/**
 * @brief start WiFi
 * 
 */
void start(void);

/**
 * @brief Wait for WiFi
 * 
 */
void wait(void);
